<?php $pageTitle='Plate types';
/** @noinspection PhpUnhandledExceptionInspection */
$showCreateLink=session::isAdmin() || platetype::canCreate();
include realpath(__DIR__).'/../../core/_common/header.php'; ?>
<script type="text/javascript">
window.addEventListener('DOMContentLoaded',function(){

    const headers = ['Name', 'Rows', 'Columns', 'Drops'];
    const cellTemplates = ['<a href="/platetype/{{id}}">{{name}}</a>', '{{rows}}', '{{cols}}', '{{subs}}'];

    ui.grid().box({
		classes:'r1 c1 h3 w3',
		url:'/api/platetype',
		headers:headers,
		cellTemplates:cellTemplates
	});

});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php';